﻿CREATE PROCEDURE [ServiceEngine].[GetAssertionType]
	@ID uniqueidentifier
AS
BEGIN
	SET NOCOUNT ON;

	SELECT	N.[EntityID] as AssertionTypeID, N.[EntityName] as [Name], AT.SchemaObjectID, AT.AssertionImplType, N.EntityDescription as Description
	FROM	[ServiceEngine].AssertionTypes AT
	JOIN	[ServiceEngine].Names N on N.[EntityID] = AT.AssertionTypeID and N.[EntityTypeID] = 18	
	WHERE	AT.AssertionTypeID = @ID
END
