﻿CREATE PROCEDURE [ServiceEngine].[GetBindingElementByName]
@BindingElementName nvarchar(400)
AS
BEGIN
	SET NOCOUNT ON;

	SELECT	N.[EntityID] as BindingElementID, N.[EntityName] as [Name], BE.ElementConfig, N.EntityDescription as Description, BE.ElementType
	FROM	[ServiceEngine].BindingElements BE
	JOIN	[ServiceEngine].Names N on N.[EntityID] = BE.BindingElementID and N.[EntityTypeID] = 17
	WHERE	N.[EntityName] LIKE @BindingElementName + '%'

END