﻿CREATE PROCEDURE [ServiceEngine].[GetMessage]
@OperationVersionID UNIQUEIDENTIFIER, @IsRequestMsg BIT
AS
BEGIN
	SET NOCOUNT ON;

	SELECT	MP.MessagePartID, MP.OperationVersionID, MP.SchemaObjectID, MP.Ordinal
	FROM	[ServiceEngine].MessageParts MP
	WHERE	MP.OperationVersionID = @OperationVersionID
	AND		MP.IsRequestMsg = @IsRequestMsg
	ORDER BY MP.Ordinal

END