﻿CREATE PROCEDURE [ServiceEngine].[GetProperty]
	@ID uniqueidentifier
AS
BEGIN
	SET NOCOUNT ON;

	SELECT	N.[EntityID] as PropertyID, N.[EntityName] as [Name], P.[Property], N.EntityDescription as Description
	FROM	[ServiceEngine].Properties P
	JOIN	[ServiceEngine].Names N on N.[EntityID] = P.PropertyID and N.[EntityTypeID] = 10
	WHERE	P.PropertyID = @ID
END


