﻿CREATE PROCEDURE [ServiceEngine].[ListOperationVersionsByResource]
	@ResourceID uniqueidentifier
AS
BEGIN
	SET NOCOUNT ON;

	SELECT	DISTINCT OV.OperationVersionID as ID, OV.VersionMajor, OV.VersionMinor, OV.VersionBuild, OV.VersionQFE
	FROM	[ServiceEngine].OperationVersions OV
	JOIN	[ServiceEngine].Resources R on R.ResourceID = OV.ResourceID
	WHERE	OV.ResourceID = @ResourceID 
END