﻿CREATE PROCEDURE [ServiceEngine].[ListPoliciesForPolicyAssertionID]
	@ID uniqueidentifier 
AS
BEGIN
	
	SELECT	N.[EntityID] as PolicyID, N.[EntityName] as [Name], N.EntityDescription as Description
	FROM	[ServiceEngine].Names N
	INNER JOIN [ServiceEngine].Policies_PolicyAssertions PA ON N.EntityID = PA.PolicyID
	WHERE	N.[EntityTypeID] = 8 AND PA.PolicyAssertionID = @ID
	Order by N.[EntityName]
END
