﻿CREATE PROCEDURE [ServiceEngine].[ListResourcesForSystemInstance]
	@InstanceID uniqueidentifier
AS
BEGIN
	SET NOCOUNT ON;

	SELECT	N.[EntityID] as ResourceID, N.[EntityName] as [Name], N.EntityDescription as Description
	FROM	[ServiceEngine].Resources R
	JOIN	[ServiceEngine].Names N on N.[EntityID] = R.ResourceID and N.[EntityTypeID] = 16
	WHERE	R.InstanceID = @InstanceID

END