﻿CREATE TABLE [ServiceEngine].[EndPoints_AssociatedOperations](
	[EndPoints_AssociatedOperationsID] [uniqueidentifier] ROWGUIDCOL  NOT NULL CONSTRAINT [DF_EndPoints_AssociatedOperations_ID]  DEFAULT (newid()),
	[EndpointID] [uniqueidentifier] NOT NULL CONSTRAINT [DF_EndPoints_AssociatedOperations_EndpointID]  DEFAULT (newid()),
	[OperationVersionID] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_EndPoints_AssociatedOperations] PRIMARY KEY NONCLUSTERED 
(
	[EndPoints_AssociatedOperationsID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY],
 CONSTRAINT [IX_AssociatedOperations_EndPoints] UNIQUE NONCLUSTERED 
(
	[EndpointID] ASC,
	[OperationVersionID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]


