﻿ CREATE TABLE [ServiceEngine].[Names](
	[RowID] [uniqueidentifier] ROWGUIDCOL  NOT NULL CONSTRAINT [DF_Names_RowID]  DEFAULT (newid()),
	[EntityID] [uniqueidentifier] NOT NULL,
	[EntityTypeID] [smallint] NOT NULL,
	[EntityName] [nvarchar](400) NOT NULL,
	[EntityDescription] [ntext] NULL,
 CONSTRAINT [PK_Names] PRIMARY KEY NONCLUSTERED 
(
	[RowID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY],
 CONSTRAINT [IX_Names] UNIQUE NONCLUSTERED 
(
	[EntityTypeID] ASC,
	[EntityName] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]


