﻿CREATE TABLE [ServiceEngine].[OperationVersions](
	[OperationVersionID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[OperationID] [uniqueidentifier] NOT NULL,
	[VersionMajor] [int] NOT NULL,
	[VersionMinor] [int] NOT NULL,
	[VersionBuild] [int] NOT NULL,
	[VersionQFE] [int] NOT NULL,
	[IsPublic] [bit] NOT NULL,
	[IsActive] [bit] NOT NULL,
	[AutoResponse] [xml] NULL,
	[RequestTransformXSLT] [xml] NULL,
	[ResponseTransformXSLT] [xml] NULL,
	[IsTestable] [bit] NULL,
	[Description] [ntext] NULL,
	[ResourceID] [uniqueidentifier] NULL,
	[PolicyID] [uniqueidentifier] NULL,
 CONSTRAINT [PK_OperationVersions] PRIMARY KEY NONCLUSTERED 
(
	[OperationVersionID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]


