﻿CREATE TABLE [ServiceEngine].[Resources](
	[ResourceID] [uniqueidentifier] ROWGUIDCOL NOT NULL CONSTRAINT [DF_Resources_ResourceID] DEFAULT(newid()),
	[InstanceID] [uniqueidentifier] NULL,
	[IDL] [nvarchar](max) NULL,
	[IDLType] [nchar](100) NULL,
	[BindingID] [uniqueidentifier] NOT NULL,
	[Moniker] [xml] NULL,
	[RequestEntity] [uniqueidentifier] NULL,
	[ResponseEntity] [uniqueidentifier] NULL,
	[URI] [nvarchar](max) NULL,
	[PolicyID] [uniqueidentifier] NULL,
	[ShareableProxy] [bit] NOT NULL CONSTRAINT [DF_Resources_ShareableProxy]  DEFAULT ((0)),
 CONSTRAINT [PK_Resources] PRIMARY KEY CLUSTERED 
(
	[ResourceID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]