﻿CREATE TABLE [ServiceEngine].[RuntimeServers](
	[RuntimeServerID] [uniqueidentifier] ROWGUIDCOL  NOT NULL CONSTRAINT [DF_RuntimeServers_RuntimeServerID]  DEFAULT (newid()),
	[CatalogURI] [nvarchar](400) NULL,
	[CatalogBindingID] [uniqueidentifier] NULL,
	[NotificationURI] [nvarchar](400) NULL,
	[NotificationBindingID] [uniqueidentifier] NULL,
	[BrokerURI] [nvarchar](400) NULL,
	[BrokerBindingID] [uniqueidentifier] NULL,
	[ListenerURI] [nvarchar](400) NULL,
	[ListenerBindingID] [uniqueidentifier] NULL,
	[HostName] [nvarchar](400) NULL,
	[ReceiveNotifications] bit NOT NULL CONSTRAINT [DF_RuntimeServer_ReceiveNotifications] DEFAULT (1),
	[PolicyID] [uniqueidentifier] NULL,
 CONSTRAINT [PK_RuntimeServers] PRIMARY KEY NONCLUSTERED 
(
	[RuntimeServerID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]


