﻿CREATE TABLE [ServiceEngine].[SchemaObjects](
	[SchemaObjectID] [uniqueidentifier] ROWGUIDCOL NOT NULL CONSTRAINT [DF_SchemaObjects_SchemaObjectID] DEFAULT(newid()),
	[SchemaID] [uniqueidentifier] NOT NULL,
	[SchemaObjectName] [nvarchar](256) NULL,
	[SchemaObjectType] [smallint] NOT NULL,
	[SchemaObjectXml] [xml] NOT NULL,
	[DataEntityID] [uniqueidentifier] NULL,
	[DateRevised] [datetime] NULL,
 CONSTRAINT [PK_SchemaObjects] PRIMARY KEY CLUSTERED 
(
	[SchemaObjectID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]