﻿using System;

namespace Microsoft.MSE.Catalog.Contracts
{
    static class SC
    {
        public const string ComponentName = "MSE Service Catalog";
        public const string EventLogName = "Microsoft MSE Catalog";
        public const string MSENamespace = "http://services.microsoft.com/MSE";
        internal const string CatalogSvcConfigSettingName = "CatalogSvcConfig";
        internal const string PlatformRegKey = @"HKEY_LOCAL_MACHINE\Software\Microsoft\MSE6";
        internal const string Namespace = @"http://services.microsoft.com/2006-07/ServicePlatform/MSE6";
        internal const string MSEEventingNamespaceURI = @"http://services.microsoft.com/2006-07/ServicePlatform/MSE6/Eventing";
        internal const string MSEEventingFilterDialect = "http://services.microsoft.com/2006-07/ServicePlatform/MSE6/Eventing/EventFilter/";
        internal const string WSENamespaceURI = "http://schemas.xmlsoap.org/ws/2004/08/eventing";
        internal const string WSANamespaceURI = "http://schemas.xmlsoap.org/ws/2004/08/addressing";
        internal const string FaultAction = "http://schemas.xmlsoap.org/ws/2004/08/addressing/fault";
        internal const string WSEPushDeliveryModeURI = WSENamespaceURI + "/DeliveryModes/Push";
        internal const string CatalogSvcActor = "http://services.microsoft.com/2005-10/ServicePlatform/MSE/CatalogSvc/";
        internal const string SoapBindingTransport = "http://schemas.xmlsoap.org/soap/http";
        internal const string DiscoPrefix = "disco";
        internal const string DiscoNS = "http://schemas.xmlsoap.org/disco/";
        internal const string SCLPrefix = "scl";
        internal const string SCLNS = "http://schemas.xmlsoap.org/disco/scl/";
        internal const string DiscoSoapPrefix = "ds";
        internal const string DiscoSoapNS = "http://schemas.xmlsoap.org/disco/soap/";
        internal const string WsdlSoapPrefix = "soap";
        internal const string WsdlSoapNS = "http://schemas.xmlsoap.org/wsdl/soap/";
        internal const string WsdlSoap12Prefix = "soap12";
        internal const string WsdlSoap12NS = "http://schemas.xmlsoap.org/wsdl/soap12/";
        internal const string WsdlMimeNS = "http://schemas.xmlsoap.org/wsdl/mime/";
        internal const string WsdlMimePrefix = "mime";
        internal const string WsdlTMNS = "http://microsoft.com/wsdl/mime/textMatching/";
        internal const string WsdlTMPrefix = "tm";
        internal const string WsdlHttpNS = "http://schemas.xmlsoap.org/wsdl/http/";
        internal const string WsdlHttpPrefix = "http";
        internal const string SoapEncNS = "http://schemas.xmlsoap.org/soap/encoding/";
        internal const string SoapEncPrefix = "soapenc";
        internal const string WsdlNS = "http://schemas.xmlsoap.org/wsdl/";
        internal const string WsdlPrefix = "wsdl";
        internal const string XsiNS = "http://www.w3.org/2001/XMLSchema-instance";
        internal const string XsiPrefix = "xsi";
        internal const string XsdNS = "http://www.w3.org/2001/XMLSchema";
        internal const string XsdPrefix = "xsd";
        internal const string SoapNS = "http://schemas.xmlsoap.org/soap/envelope/";
        internal const string Soap12NS = "http://www.w3.org/2001/09/soap-envelope";
        internal const string SoapPrefix = "soap";
        internal const string Soap12Prefix = "env";
        internal const string SubFaultCodeKey = "SubFaultCode";
        internal const string DefaultSubFaultCode = "UserError";
        internal const string UnknownSubFaultCode = "Unknown";
        internal const bool IsRequestMsg = true;
        internal const bool IsResponseMsg = false;


    }

}
