using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.MSE.Catalog.Module
{
    public static class SC
    {
        public const string ComponentName = "MSE Service Catalog";
        public const string EventLogName = "Microsoft MSE Catalog";
        public const string MSENamespace = "http://services.microsoft.com/MSE";
        public const string CatalogSvcConfigSettingName = "CatalogSvcConfig";
        public const string PlatformRegKey = @"HKEY_LOCAL_MACHINE\Software\Microsoft\MSE6";
        public const string Namespace = @"http://services.microsoft.com/2006-07/ServicePlatform/MSE6";
        public const string MSEEventingNamespaceURI = @"http://services.microsoft.com/2006-07/ServicePlatform/MSE6/Eventing";
        public const string MSEEventingFilterDialect = "http://services.microsoft.com/2006-07/ServicePlatform/MSE6/Eventing/EventFilter/";
        public const string WSENamespaceURI = "http://schemas.xmlsoap.org/ws/2004/08/eventing";
        public const string WSANamespaceURI = "http://schemas.xmlsoap.org/ws/2004/08/addressing";
        public const string FaultAction = "http://schemas.xmlsoap.org/ws/2004/08/addressing/fault";
        public const string WSEPushDeliveryModeURI = WSENamespaceURI + "/DeliveryModes/Push";
        public const string CatalogSvcActor = "http://services.microsoft.com/2005-10/ServicePlatform/MSE/CatalogSvc/";
        public const string SoapBindingTransport = "http://schemas.xmlsoap.org/soap/http";
        public const string DiscoPrefix = "disco";
        public const string DiscoNS = "http://schemas.xmlsoap.org/disco/";
        public const string SCLPrefix = "scl";
        public const string SCLNS = "http://schemas.xmlsoap.org/disco/scl/";
        public const string DiscoSoapPrefix = "ds";
        public const string DiscoSoapNS = "http://schemas.xmlsoap.org/disco/soap/";
        public const string WsdlSoapPrefix = "soap";
        public const string WsdlSoapNS = "http://schemas.xmlsoap.org/wsdl/soap/";
        public const string WsdlSoap12Prefix = "soap12";
        public const string WsdlSoap12NS = "http://schemas.xmlsoap.org/wsdl/soap12/";
        public const string WsdlMimeNS = "http://schemas.xmlsoap.org/wsdl/mime/";
        public const string WsdlMimePrefix = "mime";
        public const string WsdlTMNS = "http://microsoft.com/wsdl/mime/textMatching/";
        public const string WsdlTMPrefix = "tm";
        public const string WsdlHttpNS = "http://schemas.xmlsoap.org/wsdl/http/";
        public const string WsdlHttpPrefix = "http";
        public const string SoapEncNS = "http://schemas.xmlsoap.org/soap/encoding/";
        public const string SoapEncPrefix = "soapenc";
        public const string WsdlNS = "http://schemas.xmlsoap.org/wsdl/";
        public const string WsdlPrefix = "wsdl";
        public const string XsiNS = "http://www.w3.org/2001/XMLSchema-instance";
        public const string XsiPrefix = "xsi";
        public const string XsdNS = "http://www.w3.org/2001/XMLSchema";
        public const string XsdPrefix = "xsd";
        public const string SoapNS = "http://schemas.xmlsoap.org/soap/envelope/";
        public const string Soap12NS = "http://www.w3.org/2001/09/soap-envelope";
        public const string SoapPrefix = "soap";
        public const string Soap12Prefix = "env";
        public const string SubFaultCodeKey = "SubFaultCode";
        public const string DefaultSubFaultCode = "UserError";
        public const string UnknownSubFaultCode = "Unknown";
        public const bool IsRequestMsg = true;
        public const bool IsResponseMsg = false;


    }
}
