﻿CREATE PROCEDURE [ServiceEngine].[GetBindingElement]
	@ID uniqueidentifier
AS
BEGIN
	SET NOCOUNT ON;

	SELECT	N.[EntityID] as BindingElementID, N.[EntityName] as [Name], BE.ElementConfig, N.EntityDescription as Description, BE.ElementType
	FROM	[ServiceEngine].BindingElements BE
	JOIN	[ServiceEngine].Names N on N.[EntityID] = BE.BindingElementID and N.[EntityTypeID] = 17
	WHERE	BE.BindingElementID = @ID

END


