﻿CREATE PROCEDURE [ServiceEngine].[GetChannel]
	@ID uniqueidentifier
AS
BEGIN
	SET NOCOUNT ON;

	SELECT	N.[EntityID] as EndpointID, N.[EntityName] as [Name], D.MonikerSchema, D.BindingID, D.EditorAssembly, D.EditorTypeName,  N.EntityDescription as Description
	FROM	[ServiceEngine].Channels D
	JOIN	[ServiceEngine].Names N on N.[EntityID] = D.ChannelID and N.[EntityTypeID] = 7
	WHERE	D.ChannelID = @ID

END


