﻿CREATE PROCEDURE [ServiceEngine].[GetEntityGroup]
 @ID uniqueidentifier
AS
BEGIN
 SET NOCOUNT ON;

 SELECT N.[EntityID] as EntityGroupID, N.[EntityName] as [Name], N.EntityDescription as Description
 FROM [ServiceEngine].EntityGroups O
 JOIN [ServiceEngine].Names N on N.[EntityID] = O.EntityGroupID and N.[EntityTypeID] = 11
 WHERE O.EntityGroupID = @ID

END
