﻿CREATE PROCEDURE [ServiceEngine].[GetEntityPolicies]
	@EntityID uniqueidentifier
AS
BEGIN
	SET NOCOUNT ON;

	SELECT	EP.PolicyID, EP.EntityID, N.EntityName as [Name], N.EntityDescription as Description
	FROM	[ServiceEngine].Entity_Policies EP, [ServiceEngine].Names N
	WHERE	EP.EntityID = @EntityID and
	N.[EntityID] = EP.PolicyID and N.[EntityTypeID] = 8
END


