﻿CREATE PROCEDURE [ServiceEngine].[GetIDFromName]
	@EntityName nvarchar(400),
	@EntityTypeID int,
	@EntityID uniqueidentifier OUTPUT
AS
BEGIN
	SET NOCOUNT ON

	SELECT  @EntityID = N.EntityID
	FROM	ServiceEngine.Names N
	WHERE	N.EntityTypeID	= @EntityTypeID
	AND		N.EntityName	= @EntityName
END


