﻿CREATE PROCEDURE [ServiceEngine].[GetOperation]
	@ID uniqueidentifier
AS
BEGIN
	SET NOCOUNT ON;

	SELECT	
			N.EntityID as ID, 
			N.[EntityName] as [Name], 
			N.EntityDescription as Description, 
			O.PolicyID
	FROM	[ServiceEngine].Operations O
	JOIN	[ServiceEngine].Names N on N.[EntityID] = O.OperationID and N.[EntityTypeID] = 4
	WHERE	O.OperationID = @ID
END


