﻿CREATE PROCEDURE [ServiceEngine].[GetPolicyAssertion]
	@ID uniqueidentifier
AS
BEGIN
	SET NOCOUNT ON;

	SELECT	N.[EntityID] as PolicyAssertionID, N.[EntityName] as [Name], PA.AssertionTypeID, PA.Assertion, N.EntityDescription as Description
	FROM	[ServiceEngine].PolicyAssertions PA
	JOIN	[ServiceEngine].Names N on N.[EntityID] = PA.PolicyAssertionID and N.[EntityTypeID] = 19	
	WHERE	PA.PolicyAssertionID = @ID
END
