﻿CREATE PROCEDURE [ServiceEngine].[GetSchema]
	@ID uniqueidentifier
AS
BEGIN
	SET NOCOUNT ON;

	SELECT	N.[EntityID] as SchemaID, N.[EntityName] as [Name], N.EntityDescription as Description
	FROM	[ServiceEngine].Schemas S
	JOIN	[ServiceEngine].Names N on N.[EntityID] = S.SchemaID and N.[EntityTypeID] = 9
	WHERE	S.SchemaID = @ID

END


