﻿CREATE PROCEDURE [ServiceEngine].[GetSoapFaultsForOperationVersion]
@OperationVersionID UNIQUEIDENTIFIER
AS
BEGIN
	SET NOCOUNT ON;

	DECLARE @SchemaID uniqueidentifier

	SELECT 
		SF.[SoapFaultID],
		SF.[Name],
		SF.[Action],
		SF.[ProtectionLevel],
		SF.SchemaObjectID
	FROM
		ServiceEngine.SoapFaults SF 
	WHERE
		SF.OperationVersionID = @OperationVersionID
END
