﻿CREATE PROCEDURE [ServiceEngine].[ListCallbackURIsByEventName]
	@EventName as varchar(100)
AS
BEGIN

	SELECT  ER.CallbackURI
	FROM	[ServiceEngine].EventRegistrations ER
	JOIN	[ServiceEngine].Events E on E.EventID = ER.EventID
	WHERE	E.[Name] = @EventName
	AND		ER.Expires > GetDate()

END


