﻿CREATE PROCEDURE [ServiceEngine].[ListOperationVersions]
	@OperationID as uniqueidentifier
AS
BEGIN
	SET NOCOUNT ON;

	SELECT	OV.OperationVersionID as ID, OV.VersionMajor, OV.VersionMinor, OV.VersionBuild, OV.VersionQFE, OV.Description
	FROM	OperationVersions OV
	WHERE	OV.OperationID = @OperationID
END


