﻿CREATE PROCEDURE [ServiceEngine].[ListOperations]
AS
BEGIN
	SET NOCOUNT ON;

	SELECT	
		N.[EntityID] as ID, 
		N.[EntityName] as [Name], 
		N.EntityDescription as Description
	FROM	[ServiceEngine].Names N 
	JOIN [ServiceEngine].Operations O ON O.OperationID = N.[EntityID] 
	WHERE	N.[EntityTypeID] = 4
	Order by N.[EntityName]
END


