﻿CREATE PROCEDURE [ServiceEngine].[ListPoliciesForAssertionTypeID]
	@ID uniqueidentifier 
AS
BEGIN
	
	SELECT	N.[EntityID] as PolicyID, N.[EntityName] as [Name], N.EntityDescription as Description
	FROM	[ServiceEngine].Names N
	INNER JOIN [ServiceEngine].Policies_PolicyAssertions PPA ON N.EntityID = PPA.PolicyID
	INNER JOIN [ServiceEngine].PolicyAssertions PA ON PA.PolicyAssertionID = PPA.PolicyAssertionID
	WHERE	N.[EntityTypeID] = 8 AND PA.AssertionTypeID = @ID
	Order by N.[EntityName]
END
