﻿CREATE PROCEDURE [ServiceEngine].[ListRuntimeServers]
AS
BEGIN
	SET NOCOUNT ON;

	SELECT	N.[EntityID] as BrokerID, N.[EntityName] as [Name], N.EntityDescription as Description
	FROM	[ServiceEngine].Names N
	WHERE	N.[EntityTypeID] = 0
	Order by N.[EntityName]
END


