﻿CREATE PROCEDURE [ServiceEngine].[ListSchemaObjectsByDataEntityID]
	@DataEntityID uniqueidentifier
AS
	BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here
  SELECT 
		N.EntityName,
		SO.[SchemaObjectID],
		SO.[SchemaObjectName],
		SO.[SchemaObjectType],
		SO.[SchemaObjectXml],
		SO.[DateRevised],
		SO.DataEntityID
  FROM 
		[SchemaObjects] SO JOIN [Names] N ON SO.SchemaID = N.EntityID
  WHERE
		SO.DataEntityID = @DataEntityID
END
