﻿CREATE TABLE [ServiceEngine].[EndPoints](
	[EndPointID] [uniqueidentifier] ROWGUIDCOL  NOT NULL CONSTRAINT [DF_EndPoints_EndPointID]  DEFAULT (newid()),
	[BindingID] [uniqueidentifier] NOT NULL,
	[PolicyID] [uniqueidentifier] NULL,
	[TestCallsAccepted] [bit] NOT NULL CONSTRAINT [DF_EndPoints_TestCallsAccepted]  DEFAULT ((0)),
	[AutoOperationPubUpdate] [bit] NOT NULL CONSTRAINT [DF_EndPoints_AutoOperationPubUpdate]  DEFAULT ((0)),
	[AutoOperationActivationUpdate] [bit] NOT NULL CONSTRAINT [DF_EndPoints_AutoOperationActivationUpdate]  DEFAULT ((0)),
	[NamespaceURI] [ntext] NULL,
	[Configuration] [xml] NULL,
	[ServiceName] [nvarchar](200) NULL,
	[Port] [int] NULL,
 CONSTRAINT [PK_EndPoints] PRIMARY KEY NONCLUSTERED 
(
	[EndPointID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]


