﻿CREATE TABLE [ServiceEngine].[EndPoints_AssociatedUddi](
	[EndPoints_AssociatedUddiID] [uniqueidentifier] ROWGUIDCOL  NOT NULL DEFAULT (newid()),
	[RuntimeServerID] [uniqueidentifier] NOT NULL ,
	[EndpointID] [uniqueidentifier] NOT NULL ,
	[UddiTModelID] [nvarchar] (64) NOT NULL,
	[UddiServiceID] [nvarchar] (64) NOT NULL,
	[UddiBindingID] [nvarchar] (64) NOT NULL,
	[UddiWsdlUrl] [nvarchar] (400) NOT NULL,
	[UddiBindingUrl] [nvarchar] (400) NOT NULL,
 CONSTRAINT [PK_EndPoints_AssociatedUddi] PRIMARY KEY NONCLUSTERED 
(
	[EndPoints_AssociatedUddiID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY],
 CONSTRAINT [IX_EndPoints_AssociatedUddi] UNIQUE NONCLUSTERED 
(
	[EndpointID] ASC,
	[RuntimeServerID] ASC,
	[UddiTModelID] ASC,
	[UddiServiceID] ASC,
	[UddiBindingID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]


