﻿CREATE TABLE [ServiceEngine].[EndPoints_PublishedOperations](
	[EndPoints_PublishedOperationsID] [uniqueidentifier] ROWGUIDCOL  NOT NULL CONSTRAINT [DF_EndPoints_PublishedOperations_ID]  DEFAULT (newid()),
	[EndpointID] [uniqueidentifier] NOT NULL CONSTRAINT [DF_EndPoints_PublishedOperations_EndpointID]  DEFAULT (newid()),
	[OperationVersionID] [uniqueidentifier] NOT NULL,
	[OperationID] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_EndPoints_PublishedOperations] PRIMARY KEY NONCLUSTERED 
(
	[EndPoints_PublishedOperationsID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY],
 CONSTRAINT [IX_OperationID_PublishedOperations] UNIQUE NONCLUSTERED 
(
	[EndpointID] ASC,
	[OperationID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY],
 CONSTRAINT [IX_PublishedOperations_EndPoints] UNIQUE NONCLUSTERED 
(
	[EndpointID] ASC,
	[OperationVersionID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]


