﻿CREATE TABLE [ServiceEngine].[EventRegistrations](
	[EventRegistrationID] [uniqueidentifier] ROWGUIDCOL  NOT NULL CONSTRAINT [DF_EventRegistrations_EventRegistrationID]  DEFAULT (newid()),
	[EventID] [uniqueidentifier] NOT NULL,
	[CallbackURI] [varchar](200) NOT NULL,
	[Expires] [datetime] NOT NULL CONSTRAINT [DF_EventRegistrations_Expires]  DEFAULT (dateadd(hour,(8),getdate())),
 CONSTRAINT [PK_EventRegistrations] PRIMARY KEY NONCLUSTERED 
(
	[EventRegistrationID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]


