﻿CREATE TABLE [ServiceEngine].[MessageHeaders](
	[MessageHeaderID] [uniqueidentifier] ROWGUIDCOL  NOT NULL CONSTRAINT [DF_MessageHeaders_MessageHeaderID]  DEFAULT (newid()),
	[OperationVersionID] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](400) NOT NULL,
	[IsRequired] [bit] NOT NULL,
	[IsRequestHeader] [bit] NOT NULL,
	[Ordinal] [int] NOT NULL CONSTRAINT [DF_MessageHeaders_Order]  DEFAULT ((0)),
	[ProtectionLevel] [nvarchar](32) NOT NULL,
	[SchemaObjectID] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_MessageHeaders] PRIMARY KEY NONCLUSTERED 
(
	[MessageHeaderID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]


