﻿CREATE TABLE [ServiceEngine].[SoapFaults](
	[SoapFaultID] [uniqueidentifier] ROWGUIDCOL  NOT NULL CONSTRAINT [DF_SoapFaults_SoapFaultID]  DEFAULT (newid()),
	[OperationVersionID] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](400) NOT NULL,
	[Action] [nvarchar](256) NOT NULL,
	[ProtectionLevel] [nvarchar](32) NOT NULL,
	[SchemaObjectID] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_SoapFaults] PRIMARY KEY NONCLUSTERED 
(
	[SoapFaultID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]


