﻿CREATE TABLE [ServiceEngine].[SystemInstances](
	[InstanceID] [uniqueidentifier] ROWGUIDCOL NOT NULL CONSTRAINT [DF_SystemInstances_InstanceID] DEFAULT(newid()),
	[SystemID] [uniqueidentifier] NULL,
	[OwnerName] [nvarchar](200) NULL,
	[OwnerContact] [nvarchar](200) NULL,
	[URI] [nvarchar](500) NULL,
	[PolicyID] [uniqueidentifier] NULL,
	[Port] [int] NULL,
 CONSTRAINT [PK_SystemInstances] PRIMARY KEY CLUSTERED 
(
	[InstanceID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]