﻿CREATE TABLE [ServiceEngine].[Systems](
	[SystemID] [uniqueidentifier] ROWGUIDCOL NOT NULL CONSTRAINT [DF_Systems_SystemID] DEFAULT(newid()),
	[OwnerName] [nvarchar](200) NULL,
	[OwnerContact] [nvarchar](200) NULL,
	[Location] [nvarchar](max) NULL,
	[PolicyID] [uniqueidentifier] NULL,
	[URI] [nvarchar](500) NULL,
 CONSTRAINT [PK_Systems] PRIMARY KEY CLUSTERED 
(
	[SystemID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]