﻿-- =============================================
-- LoadEvents.sql
-- =============================================
INSERT INTO [ServiceEngine].[Events] 
(
	EventID, 
	[Name], 
	Description
)
VALUES 
(
	'{8066def6-0e83-4929-b5a1-e0c6ad28976a}',
	'EndpointsUpdated',
	'Fired when anything related to Endpoints has been updated'
)

INSERT INTO [ServiceEngine].[Events] (EventID, [Name], Description)
VALUES ('{d6eb3ecd-727c-4110-a8a4-0bbc27dc37ba}','EndpointPolicyUpdated','Fired when anything related to Endpoint Policy has been updated')

INSERT INTO [ServiceEngine].[Events] (EventID, [Name], Description)		
VALUES ('{d8317f6b-7321-4f49-b8bb-7d1df8d67ed0}','ServicePolicyUpdated','Fired when anything related to Service Policy has been updated')

INSERT INTO [ServiceEngine].[Events] (EventID, [Name], Description)
VALUES ('{7171f481-0c8c-4e61-be7e-5e7787eb8b07}','ServiceDefinitionUpdated','Fired when anything related to Service Definition has been updated')

INSERT INTO [ServiceEngine].[Events] (EventID, [Name], Description)
VALUES ('{F6BA27EA-3FDD-4399-8F2F-245EC4573BB5}','OperationsUpdated','Fired when anything related to Operation has been updated')

INSERT INTO [ServiceEngine].[Events] (EventID, [Name], Description)
VALUES ('{446654D9-7C4D-4A5A-9840-CCAB3AA427D6}','RuntimeServersUpdated','Fired when a runtime server has been updated')

INSERT INTO [ServiceEngine].[Events] (EventID, [Name], Description)
VALUES ('{65D7F99E-86D9-4e65-B0CC-3B8FAD0BD1AA}','EndpointOpAssociationUpdated','Fired when an operation is deactivated at an endpoint')

INSERT INTO [ServiceEngine].[Events] (EventID, [Name], Description)
VALUES ('{31505D1E-D107-4623-A03E-123360D77201}','EndpointOpPublicationUpdated','Fired when an operation is un/published at an endpoint')

INSERT INTO [ServiceEngine].[Events] (EventID, [Name], Description)
VALUES ('{A143B1A6-5F52-4502-8046-835D8CCC6D59}','RuntimeServersBindingUpdated','Fired when a Binding used by a Runtime is modified (notification, catalog, broker)')
GO